package com.jianshui.income.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-发票状态采集对象 income_invoice_status
 *
 * @author jianshui
 * @date 2022-10-24
 */
public class IncomeInvoiceAuthStatus extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 发票ID
     */
    @Excel(name = "发票ID")
    private String invoiceId;

    /**
     * 发票代码
     */
    @Excel(name = "发票代码")
    private String fpdm;

    /**
     * 发票号码
     */
    @Excel(name = "发票号码")
    private String fphm;

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    @Excel(name = "发票状态  0-正常 1-失控 2-作废 3-红冲 4-异常")
    private String fpzt;

    /**
     * 认证状态
     * 0-未认证 1-已认证
     */
    @Excel(name = "认证状态  0-未认证 1-已认证")
    private String rzzt;

    /**
     * 认证日期
     */
    @Excel(name = "认证日期")
    private String rzrq;

    /**
     * 认证税款所属期
     */
    @Excel(name = "认证税款所属期")
    private String rzsq;

    /**
     * 信息来源 0 扫描认证 1 系统推送 2 出口转内销 3 异常凭证转入
     */
    @Excel(name = "信息来源  0 扫描认证 1 系统推送 2 出口转内销 3 异常凭证转入")
    private String xxly;

    /**
     * 有效税额
     */
    @Excel(name = "有效税额")
    private String yxse;

    /**
     * 逾期可勾选标志 0 默认值 1 可勾选逾期
     */
    @Excel(name = "逾期可勾选标志  0 默认值 1 可勾选逾期")
    private String yqkgxbz;

    /**
     * 管理状态 0 正常 1 异常 2 疑似非正常
     */
    @Excel(name = "管理状态  0 正常 1 异常 2 疑似非正常")
    private String glzt;

    /**
     * 认证类型 0-未抵扣 1-抵扣 2-退税 3-代理退税 4-不抵扣
     */
    @Excel(name = "认证类型 0-未抵扣 1-抵扣 2-退税 3-代理退税 4-不抵扣")
    private String rzlx;

    /**
     * 抵扣税额
     */
    @Excel(name = "抵扣税额")
    private String dkse;

    /**
     * 不抵扣原因 1 用于非应税项目 2 用于免税项目 3 用于集体福利或者个人消费 4 遭受非正常损失 5 其他
     */
    @Excel(name = "不抵扣原因 1 用于非应税项目 2 用于免税项目 3 用于集体福利或者个人消费 4 遭受非正常损失 5 其他")
    private String bdkyy;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setInvoiceId(String invoiceId) {
        this.invoiceId = invoiceId;
    }

    public String getInvoiceId() {
        return invoiceId;
    }

    public void setFpdm(String fpdm) {
        this.fpdm = fpdm;
    }

    public String getFpdm() {
        return fpdm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }

    public String getFphm() {
        return fphm;
    }

    public void setFpzt(String fpzt) {
        this.fpzt = fpzt;
    }

    public String getFpzt() {
        return fpzt;
    }

    public void setRzzt(String rzzt) {
        this.rzzt = rzzt;
    }

    public String getRzzt() {
        return rzzt;
    }

    public void setRzrq(String rzrq) {
        this.rzrq = rzrq;
    }

    public String getRzrq() {
        return rzrq;
    }

    public void setRzsq(String rzsq) {
        this.rzsq = rzsq;
    }

    public String getRzsq() {
        return rzsq;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getXxly() {
        return xxly;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setDkse(String dkse) {
        this.dkse = dkse;
    }

    public String getDkse() {
        return dkse;
    }

    public void setBdkyy(String bdkyy) {
        this.bdkyy = bdkyy;
    }

    public String getBdkyy() {
        return bdkyy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("invoiceId", getInvoiceId())
                .append("fpdm", getFpdm())
                .append("fphm", getFphm())
                .append("fpzt", getFpzt())
                .append("rzzt", getRzzt())
                .append("rzrq", getRzrq())
                .append("rzsq", getRzsq())
                .append("xxly", getXxly())
                .append("yxse", getYxse())
                .append("yqkgxbz", getYqkgxbz())
                .append("glzt", getGlzt())
                .append("rzlx", getRzlx())
                .append("dkse", getDkse())
                .append("bdkyy", getBdkyy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
